Skus - List

Lists eligible region SKUs for Kusto resource provider by Azure region.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Kusto/locations/{location}/skus?api-version=2025-02-14

URI Parameters

Name In Required Type Description
location
path True

string

minLength: 1

The name of Azure region.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

SkuDescriptionList

The request has succeeded.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

KustoListRegionSkus

Sample request

GET https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789098/providers/Microsoft.Kusto/locations/westus/skus?api-version=2025-02-14

Sample response

{
  "value": [
    {
      "name": "Standard_L8s_v3",
      "locationInfo": [
        {
          "location": "West US",
          "zones": [
            "1",
            "2",
            "3"
          ]
        },
        {
          "location": "West US",
          "zones": []
        }
      ],
      "locations": [
        "West US"
      ],
      "tier": "Standard"
    },
    {
      "name": "Standard_L16s_v3",
      "locationInfo": [
        {
          "location": "West US",
          "zones": [
            "1",
            "2",
            "3"
          ]
        },
        {
          "location": "West US",
          "zones": []
        }
      ],
      "locations": [
        "West US"
      ],
      "tier": "Standard"
    },
    {
      "name": "Standard_L8as_v3",
      "locationInfo": [
        {
          "location": "West US",
          "zones": [
            "1",
            "2",
            "3"
          ]
        },
        {
          "location": "West US",
          "zones": []
        }
      ],
      "locations": [
        "West US",
        "West Europe"
      ],
      "tier": "Standard"
    },
    {
      "name": "Standard_L16as_v3",
      "locationInfo": [
        {
          "location": "West US",
          "zones": [
            "1",
            "2",
            "3"
          ]
        },
        {
          "location": "West US",
          "zones": []
        }
      ],
      "locations": [
        "West US",
        "West Europe"
      ],
      "tier": "Standard"
    }
  ]
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ResourceSkuCapabilities

Describes The SKU capabilities object.

ResourceSkuZoneDetails

Describes The zonal capabilities of a SKU.

SkuDescription

The Kusto SKU description of given resource type

SkuDescriptionList

The list of the EngagementFabric SKU descriptions

SkuLocationInfoItem

The locations and zones info for SKU.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ResourceSkuCapabilities

Describes The SKU capabilities object.

Name Type Description
name

string

An invariant to describe the feature.

value

string

An invariant if the feature is measured by quantity.

ResourceSkuZoneDetails

Describes The zonal capabilities of a SKU.

Name Type Description
capabilities

ResourceSkuCapabilities[]

A list of capabilities that are available for the SKU in the specified list of zones.

name

string[]

The set of zones that the SKU is available in with the specified capabilities.

SkuDescription

The Kusto SKU description of given resource type

Name Type Description
locationInfo

SkuLocationInfoItem[]

Locations and zones

locations

string[]

The set of locations that the SKU is available

name

string

The name of the SKU

resourceType

string

The resource type

restrictions

Restrictions[]

The restrictions because of which SKU cannot be used

tier

string

The tier of the SKU

SkuDescriptionList

The list of the EngagementFabric SKU descriptions

Name Type Description
nextLink

string

Link to the next page of results.

value

SkuDescription[]

SKU descriptions

SkuLocationInfoItem

The locations and zones info for SKU.

Name Type Description
location

string

The available location of the SKU.

zoneDetails

ResourceSkuZoneDetails[]

Gets details of capabilities available to a SKU in specific zones.

zones

string[]

The available zone of the SKU.